Subject: [Sigtran] HELP: Urgent _IPSP Model

From: Saraswati Bose <[email-masked]>
Date: Mon, 17 Oct 2005 00:21:21 -0700 (PDT)

Hi 
   I am a new member of SIGTRAN mailing list. I work as a protocol Testing Engineer in Nethawk Networks India Pvt.Ltd.
 
I need urgent help for IPSP model implementation in SIGTRAN.
The "draft-pastor-sigtran-m3ua-ipspcomm-00" or RFCs are not very clear about the same.
 
Please help me in the below queries in reagard to the IPSP/IPSP call flow showed in RFC-3332.

Section 5.5.1 Single exchange:

IPSP-A                                        IPSP-B

|                                                        |

|-----------------------ASP Up------------------->|

|<------------------ASP Up Ack-----------------|

|<------------- ASP Active(RCb)---------------|

|-----------ASP Active Ack (RCb)---------->|

|                                                       |

|                                                       |

|<========= DATA (RCb) =======>|

|                                                        |

|<-----------ASP Inactive (RCb)---------------| 

|-------------ASP Inactive Ack (RCb)------>| 

|                                                        |

|<------------------ASP Down--------------------|

|----------------ASP Down Ack--------------->|

|                                                        | 

Q1: How is client server mode achieved in IPSP SE model since both can initiate Request and response? Please refer the above call flow.
 
Q2: As per the above call flow, can IPSP-B send NTFY message followed by UPACK and also IPSP-A send NTFY message followed by ACTIVEACK?
 
Q3: As per the above call flow, after DOWN procedure can any of the two communicating ASPs initiate UP procedure? If yes then what if both try to initiate UP simultaneously? If no then what error will be ncoded for receiving UP from the non permitted IPSP?
 
Q4: Is it a problem if IPSP-A intiates INACTIVE procedure though it has not intiated ACTIVE in first place? if yes then what type of error is expected? 
 
Q5: Is it a problem and if yes then what error is expected if a IPSP sends a request message for which it has sent a response message in SE model? 
For EXM: In above call flow what if IPSP-A sends a inactive message followed by inactiveack message.
If no then how does SE mode differs fron DE mode operation?
 
Q6:  Should we mandate 4way message exchange for a procedure (like UP, ACTIVE etc.) in DE model? If yes then should there be absolutely no restrictions in terms of REQUEST / RESPONSE message processing by the two communicating IPSPs in DE model?
 
Once I get appropriate answers for the above queries I can try to get a clear picture of difference between ASP/SG model and IPSP SE model. This is important. 
 
Thanx and Regards,
Saraswati.

---------------------------------
 Yahoo! Music Unlimited - Access over 1 million songs. Try it free.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 17 Oct 2005 05:31:30 -0600

Saraswati,

There is no difference between the SGP/ASP model and the IPSP SE model.

--brian

Saraswati Bose wrote:                                                            (Mon, 17 Oct 2005 00:21:21)
> 
>    Hi
>        I  am  a  new member of SIGTRAN mailing list. I work as a protocol
>    Testing Engineer in Nethawk Networks India Pvt.Ltd.
> 
>    Q1: How is client server mode achieved in IPSP SE model since both can
>    initiate Request and response? Please refer the above call flow.
> 
>    Q2:  As per the above call flow, can IPSP-B send NTFY message followed
>    by UPACK and also IPSP-A send NTFY message followed by ACTIVEACK?
> 
>    Q3:  As  per  the above call flow, after DOWN procedure can any of the
>    two communicating ASPs initiate UP procedure? If yes then what if both
>    try  to  initiate  UP  simultaneously?  If  no then what error will be
>    ncoded for receiving UP from the non permitted IPSP?
> 
>    Q4:  Is  it  a problem if IPSP-A intiates INACTIVE procedure though it
>    has not intiated ACTIVE in first place? if yes then what type of error
>    is expected?
> 
>    Q5: Is  it a  problem and if yes then what error is expected if a IPSP
>    sends a request message for which it has sent a response message in SE
>    model?
>    Q6:  Should we mandate 4way message exchange for a procedure (like UP,
>    ACTIVE  etc.)  in  DE model? If yes then should there be absolutely no
>    restrictions  in terms of REQUEST / RESPONSE message processing by the
>    two communicating IPSPs in DE model?
>    
>    Once  I  get  appropriate  answers  for the above queries I can try to
>    get a  clear  picture  of  difference between ASP/SG model and IPSP SE
>    model. This is important. 
>    
>    Thanx and Regards,
>    Saraswati.
>    
>      _________________________________________________________________
> 
>    [1]Yahoo! Music Unlimited - Access over 1 million songs. Try it free.
> 
> References
> 
>    1. http://pa.yahoo.com/*http://us.rd.yahoo.com/evt=36035/*http://music.yahoo.com/unlimited/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/